Package org.apache.tapestry5.http

# Enum LinkSecurity

java.lang.Object
java.lang.Enum<LinkSecurity>
org.apache.tapestry5.http.LinkSecurity

All Implemented Interfaces:
  `Serializable`, `Comparable<LinkSecurity>`, `java.lang.constant.Constable`

public enum LinkSecurity extends Enum<LinkSecurity>
Identifies how a `Link` should handle security.

Since:
  5.2.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORCE_INSECURE`
  The request was was secure but the targeted page is not, so the URI should be absolute and insecure.
  `FORCE_SECURE`
  The request was insecure, but the targeted page was secure, so the URI should be absolute and secure.
  `INSECURE`
  The request is insecure, which matches the targeted page security, so there's no explicit need for an absolute URI.
  `SECURE`
  The request is secure, which matches the targeted page security, so there's no explicit need for an absolute URI.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAbsolute()`
  Does this value indicate forcing an absolute URI (one that includes scheme and hostname)?
  `LinkSecurity`
  `promote()`
  Promotes to either `FORCE_SECURE` or `FORCE_INSECURE`.
  `static LinkSecurity`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LinkSecurity[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FORCE_SECURE

    public static final LinkSecurity FORCE_SECURE
    The request was insecure, but the targeted page was secure, so the URI should be absolute and secure.

  - ### FORCE_INSECURE

    public static final LinkSecurity FORCE_INSECURE
    The request was was secure but the targeted page is not, so the URI should be absolute and insecure.

  - ### INSECURE

    public static final LinkSecurity INSECURE
    The request is insecure, which matches the targeted page security, so there's no explicit need for an absolute URI.

  - ### SECURE

    public static final LinkSecurity SECURE
    The request is secure, which matches the targeted page security, so there's no explicit need for an absolute URI.

- ## Method Details

  - ### values

    public static LinkSecurity[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LinkSecurity valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### promote

    public LinkSecurity promote()
    Promotes to either `FORCE_SECURE` or `FORCE_INSECURE`.

  - ### isAbsolute

    public boolean isAbsolute()
    Does this value indicate forcing an absolute URI (one that includes scheme and hostname)?